跳至主要内容

此浏览器不再受支持。

请升级到 Microsoft Edge 以使用最新的功能、安全更新和技术支持。

下载 Microsoft Edge 有关 Internet Explorer 和 Microsoft Edge 的详细信息
microsoft-foundry.rest.security.o-auth2-auth

Insights

Get an insight

GET /insights/{id}

Retrieves the specified insight report and its results.

标头参数

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Insights=V1Preview

查询参数

includeCoordinates boolean

Whether to include coordinates for visualization in the response. Defaults to false.

api-version string 必需

The API version to use for this operation.

路径参数

id string 必需

The unique identifier for the insights report.

响应

The request has succeeded.

正文

Content-Type: application/json
id string 必需

The unique identifier for the insights report.

metadata InsightsMetadata 必需

Metadata about the insights.

createdAt string 必需

The timestamp when the insights were created.

completedAt string

The timestamp when the insights were completed.

state enum | string 必需

Enum describing allowed operation states.

以下任何项:
enum
NotStartedRunningSucceededFailedCanceled
string
displayName string 必需

User friendly display name for the insight.

request EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison 必需

The request of the insights report.

下列类型作之一:
EvaluationRunClusterInsight EvaluationRunClusterInsightRequest

Insights on set of Evaluation Results

type enum 必需

The type of insights request.

EvaluationRunClusterInsight
evalId string 必需

Evaluation Id for the insights.

runIds string[] 必需

List of evaluation run IDs for the insights.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必需

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

AgentClusterInsight AgentClusterInsightRequest

Insights on set of Agent Evaluation Results

type enum 必需

The type of request.

AgentClusterInsight
agentName string 必需

Identifier for the agent.

modelConfiguration InsightModelConfiguration

Configuration of the model used in the insight generation.

modelDeploymentName string 必需

The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.

EvaluationComparison EvaluationComparisonInsightRequest

Evaluation Comparison Request

type enum 必需

The type of request.

EvaluationComparison
evalId string 必需

Identifier for the evaluation.

baselineRunId string 必需

The baseline run ID for comparison.

treatmentRunIds string[] 必需

List of treatment run IDs for comparison.

result EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight

The result of the insights.

下列类型作之一:
EvaluationComparison EvaluationComparisonInsightResult

Insights from the evaluation comparison.

type enum 必需

The type of insights result.

EvaluationComparison
comparisons EvalRunResultComparison[] 必需

Comparison results for each treatment run against the baseline.

method string 必需

The statistical method used for comparison.

EvaluationRunClusterInsight EvaluationRunClusterInsightResult

Insights from the evaluation run cluster analysis.

type enum 必需

The type of insights result.

EvaluationRunClusterInsight
clusterInsight ClusterInsightResult 必需

Insights from the cluster analysis.

summary InsightSummary 必需

Summary of the error cluster analysis.

sampleCount integer 必需

Total number of samples analyzed.

uniqueSubclusterCount integer 必需

Total number of unique subcluster labels.

uniqueClusterCount integer 必需

Total number of unique clusters.

method string 必需

Method used for clustering.

usage ClusterTokenUsage 必需

Token usage for cluster analysis

inputTokenUsage integer 必需

input token usage

outputTokenUsage integer 必需

output token usage

totalTokenUsage integer 必需

total token usage

clusters InsightCluster[] 必需

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必需

X-axis coordinate.

y integer 必需

Y-axis coordinate.

size integer 必需

Size of the chart element.

AgentClusterInsight AgentClusterInsightResult

Insights from the agent cluster analysis.

type enum 必需

The type of insights result.

AgentClusterInsight
clusterInsight ClusterInsightResult 必需

Insights from the cluster analysis.

summary InsightSummary 必需

Summary of the error cluster analysis.

sampleCount integer 必需

Total number of samples analyzed.

uniqueSubclusterCount integer 必需

Total number of unique subcluster labels.

uniqueClusterCount integer 必需

Total number of unique clusters.

method string 必需

Method used for clustering.

usage ClusterTokenUsage 必需

Token usage for cluster analysis

inputTokenUsage integer 必需

input token usage

outputTokenUsage integer 必需

output token usage

totalTokenUsage integer 必需

total token usage

clusters InsightCluster[] 必需

List of clusters identified in the insights.

coordinates object

Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.

[key: string] ChartCoordinate

Coordinates for the analysis chart.

x integer 必需

X-axis coordinate.

y integer 必需

Y-axis coordinate.

size integer 必需

Size of the chart element.

Client error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

请求

GET /insights/{id} HTTP/1.1

响应

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-cn
你的隐私选择
  • AI 免责声明
  • 早期版本
  • 博客
  • 参与
  • 隐私
  • 消费者健康隐私
  • 使用条款
  • 商标
  • © Microsoft 2026